Bug 237844 - command service avahi-daemon status returns wrong value
Summary: command service avahi-daemon status returns wrong value
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237945
TreeView+ depends on / blocked
 
Reported: 2007-04-25 17:11 UTC by vikram goyal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: avahi-0.6.16-4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-26 13:11:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vikram goyal 2007-04-25 17:11:35 UTC
Description of problem:
service avahi-daemon status return value $? is 0 even if it is not running.

Version-Release number of selected component (if applicable):
avahi-0.6.16-2.fc6

How reproducible:
always

Steps to Reproduce:
1.service avahi-daemon status
2.echo $?
3.
  
Actual results:
0

Expected results:
1

Additional info:
modyfing line 83 to:

$? = 0 ] && echo $"Avahi daemon is running" || ( echo $"Avahi daemon is not
running" ; exit 1 )

should solve it

Comment 1 Martin Bacovsky 2007-04-26 13:11:38 UTC
This issue should be fixed in avahi-0.6.16-4.fc6


Note You need to log in before you can comment on or make changes to this bug.